curl --request POST \
--url https://api.onkernel.com/extensions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'name=<string>'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"size_bytes": 123,
"name": "<string>",
"last_used_at": "2023-11-07T05:31:56Z"
}Upload a zip file containing an unpacked browser extension. Optionally provide a unique name for later reference.
curl --request POST \
--url https://api.onkernel.com/extensions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'name=<string>'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"size_bytes": 123,
"name": "<string>",
"last_used_at": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Extension uploaded successfully
A browser extension uploaded to Kernel.
Unique identifier for the extension
Timestamp when the extension was created
Size of the extension archive in bytes
Optional, easier-to-reference name for the extension. Must be unique within the organization.
Timestamp when the extension was last used